## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DirectoryEnumerator.hpp File Reference

Include dependency graph for DirectoryEnumerator.hpp:

Go to the source code of this file.

## Compounds

- struct DirectoryEnumeratorFunctor
- struct DirectoryFilterPredicate
- struct FilesOnlyFilterPredicate

## Defines

- #define DIRECTORY_ENUMERATOR_HEADER_GUARD_1357924680

## Functions

- XALAN_CPP_NAMESPACE_BEGIN XALAN_USING_XERCES (MemoryManager) struct FindFileStruct
    XalanXMLSerializerBase serves as a base class for XML serializers based on FormatterListener events. More...
- void EnumerateDirectory (MemoryManager &theMemoryManager, const StringType &theFullSearchSpec, OutputIteratorType theOutputIterator, FilterPredicateType theFilterPredicate, StringConversionFunction theConversionFunction, bool fIncludeSelfAndParent=false)
- void EnumerateDirectory (MemoryManager &theMemoryManager, const StringType &theDirectory, const StringType &theSearchSpec, OutputIteratorType theOutputIterator, FilterPredicateType theFilterPredicate, StringConversionFunction theConversionFunction, bool fIncludeSelfAndParent=false)

## Define Documentation

#define DIRECTORY_ENUMERATOR_HEADER_GUARD_1357924680

| Value:

## Function Documentation

void EnumerateDirectory ( | MemoryManager & theMemoryManager,
| const StringType & theDirectory,
| const StringType & theSearchSpec,
| OutputIteratorType theOutputIterator,
| FilterPredicateType theFilterPredicate,
| StringConversionFunction theConversionFunction,
| bool fIncludeSelfAndParent = false )

void EnumerateDirectory ( | MemoryManager & theMemoryManager,
| const StringType & theFullSearchSpec,
| OutputIteratorType theOutputIterator,
| FilterPredicateType theFilterPredicate,
| StringConversionFunction theConversionFunction,
| bool fIncludeSelfAndParent = false )

XALAN_CPP_NAMESPACE_BEGIN XALAN_USING_XERCES ( | MemoryManager )

| XalanXMLSerializerBase serves as a base class for XML serializers based on FormatterListener events.

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.